# Role : docker_etherpad

## Services fournis

- main.yml : Installation de etherpad sur un serveur docker_host

Le serveur etherpad est basé sur une image d'etherpad disponible sur le serveur git.libretic.fr préparée avec les modules ep_comments_page, ep_delete_after_delay, ep_prometheus

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_etherpad_fqdn: etherpad.example.com
docker_etherpad_version: 1.8.18
docker_etherpad_data_dir: /data1
docker_etherpad_service_id: etherpad
docker_etherpad_db_password: mot_de_passe
```

| Option                             | Valeur par défaut     | Description                                                                                |
|------------------------------------|-----------------------|--------------------------------------------------------------------------------------------|
| docker_etherpad_fqdn               |                       | Le fqdn pour accéder à etherpad                                                            |
| docker_etherpad_version            |                       | Version de l'image etherpad                                                                |
| docker_etherpad_data_dir           |                       | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_etherpad_service_id         |                       | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_etherpad_db_name            | etherpad              | Le nom souhaité pour la base de données                                                    |
| docker_etherpad_db_user            | etherpad              | Le nom souhaité pour le proprietaire de la base                                            |
| docker_etherpad_db_password        |                       | Le mot de passe du proprietaire de la base                                                 |
| docker_etherpad_default_pad_text   | cf. defaults/main.yml | Texte par défaut à l'initialisation d'un bloc notes                                        |
| docker_etherpad_delete_after_delay | cf. defaults/main.yml | Délai avant suppression d'un bloc notes en secondes                                        |
| docker_etherpad_delete_loop        | cf. defaults/main.yml | Définir à false pour utiliser un script de suppression externe                             |
| docker_etherpad_delete_loop_delay  | cf. defaults/main.yml | Délai entre deux suppression                                                               |
| docker_etherpad_delete_at_start    | cf. defaults/main.yml | Supprime des anciens blocs au démarrage d'etherpad                                         |
| docker_etherpad_delete_text        | cf. defaults/main.yml | Texte d'un bloc notes supprimé                                                             |
